#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	liblxqt
Version		:	1.4.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Core shared library for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/liblxqt/release

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libqtxdg
BuildRequires	:	lxqt-build-tools
BuildRequires	:	polkit-qt5-devel
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-qtx11extras-devel
BuildRequires	:	kf5-kwindowsystem-devel
BuildRequires	:	xorg-libXScrnSaver
#-----------------------------------------------------------------------------
%description
The lxqt-build-tools package provides several tools needed to
build LXQt itself as well as other components maintained by
the LXQt project.


#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#problem with qt-5.14
sed -i								\
 -e "/#include <QtDebug>/a #include <QFile>"			\
 lxqtpowermanager.cpp

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS COPYING README.md
%{_bindir}/lxqt-backlight_backend
%{_includedir}/lxqt/LXQt/[A-T]*
%{_includedir}/lxqt/LXQt/lxqt*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/lxqt.pc
%{_datadir}/cmake/lxqt/lxqt-*.cmake
%{_datadir}/lxqt/power.conf
%{_datadir}/polkit-1/actions/org.lxqt.backlight.pkexec.policy
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm

#-----------------------------------------------------------------------------
%pre 

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
